import { CollectionConfig } from 'payload/types';

const Users: CollectionConfig = {
  slug: 'users',
  auth: true,
  admin: {
    useAsTitle: 'email',
  },
  access: {
    read: () => true,
  },
  fields: [
    // Email added by default
    {
      name: 'name',
      type: 'text',
      required: true
    },
    {
      name: 'phoneNumber',
      type: 'number',
      required: false
    }, 
    {
      name: 'adminOfMakers',
      type: 'relationship',
      relationTo: 'makers',
      hasMany: true,
    },
    {
      name: 'adminOfRetailers',
      type: 'relationship',
      relationTo: 'retailers',
      
      hasMany: true,
    },
  ],
};

export default Users;